mbed_host_tests.host_tests.rtc_auto.RTCTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.rtc_auto.RTCTest:

## Public Member Functions

def | setup (self)
def | result (self)
def | teardown (self)

## Static Public Attributes

string | PATTERN_RTC_VALUE = "\[(\d+)\] \[(\d+-\d+-\d+ \d+:\d+:\d+ [AaPpMm]{2})\]"
| re_detect_rtc_value = re.compile(PATTERN_RTC_VALUE)
| timestamp = None
list | rtc_reads = []

## Detailed Description

Definition at line 22 of file rtc_auto.py.

## Member Function Documentation

## result()

def mbed_host_tests.host_tests.rtc_auto.RTCTest.result | ( |  | self | ) |

Definition at line 44 of file rtc_auto.py.

## setup()

def mbed_host_tests.host_tests.rtc_auto.RTCTest.setup | ( |  | self | ) |

Definition at line 39 of file rtc_auto.py.

## teardown()

def mbed_host_tests.host_tests.rtc_auto.RTCTest.teardown | ( |  | self | ) |

Definition at line 57 of file rtc_auto.py.

## Member Data Documentation

## PATTERN_RTC_VALUE

string mbed_host_tests.host_tests.rtc_auto.RTCTest.PATTERN_RTC_VALUE = "\[(\d+)\] \[(\d+-\d+-\d+ \d+:\d+:\d+ [AaPpMm]{2})\]"

static

Definition at line 23 of file rtc_auto.py.

## re_detect_rtc_value

mbed_host_tests.host_tests.rtc_auto.RTCTest.re_detect_rtc_value = re.compile(PATTERN_RTC_VALUE)

static

Definition at line 24 of file rtc_auto.py.

## rtc_reads

list mbed_host_tests.host_tests.rtc_auto.RTCTest.rtc_reads = []

static

Definition at line 28 of file rtc_auto.py.

## timestamp

mbed_host_tests.host_tests.rtc_auto.RTCTest.timestamp = None

static

Definition at line 27 of file rtc_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/rtc_auto.py